import { Component, OnInit } from '@angular/core';
import {SystemService} from '../system.service';
import {pageSize} from '../../app.constants';

@Component({
  selector: 'jhi-audit',
  templateUrl: './audit.component.html',
  styles: []
})
export class AuditComponent implements OnInit {
  dataSet:any[];
  date = '1';
  pageSize = pageSize;
  pageNumber = 1;

  constructor(private systemSer:SystemService) { }

  ngOnInit() {
      this.getList();
  }

  getList(){
        const data = {
            pageSize:this.pageSize,
            pageNumber:this.pageNumber,
            endDate:"",
            startDate:"",
            name:"",
            type:""
        }
        this.systemSer.logList(data).subscribe(
            (res)=>{
                this.dataSet = res.data;
            }
        )
  }

}
